Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77411 - Cannot delete expired certificate
Summary: Cannot delete expired certificate
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla-psm
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL: https://twist.phys.ualberta.ca
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 17:57 UTC by Konstantin Olchanski
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-11 18:12:26 UTC


Attachments (Terms of Use)

Description Konstantin Olchanski 2002-11-06 17:57:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021025

Description of problem:
In mozilla-1.0.1-2.7.3, I cannot delete an expired ssl certificate. Selecting it
in the PSM and clicking delete->ok, produces no errors, but the certificate is
not deleted. Later versions of mozilla have other anomalies dealing with expired
certificates.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. go to edit->preferences->privacy->certificates
2. select the expired certificate
3. click on delete, then ok.
	

Actual Results:  nothing happens. the certificate is not deleted.

Expected Results:  the certificate is deleted or an error dialog.


Additional info:

A search of bugzilla.mozilla.org shows that certificate expiration was and is
problematic, for example, see http://bugzilla.mozilla.org/show_bug.cgi?id=171219.
K.Olchanski

Comment 1 Christopher Blizzard 2002-11-11 18:19:29 UTC
Same as mozilla bug:

http://bugzilla.mozilla.org/show_bug.cgi?id=178684

If it gets fixed upstream I'll pull it in.


Note You need to log in before you can comment on or make changes to this bug.